Bug 1481851 - Internal Server Error when creating schedule for automate task
Summary: Internal Server Error when creating schedule for automate task
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.8.0
Hardware: All
OS: All
medium
medium
Target Milestone: GA
: 5.8.2
Assignee: Drew Bomhof
QA Contact: Tasos Papaioannou
URL:
Whiteboard: ui:schedule:automate
Depends On: 1479570
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-15 21:20 UTC by Satoe Imaishi
Modified: 2017-10-24 00:39 UTC (History)
7 users (show)

Fixed In Version: 5.8.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1479570
Environment:
Last Closed: 2017-10-24 00:39:41 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 04:15:49 UTC

Comment 2 CFME Bot 2017-08-15 21:23:56 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/fd54f3abb303a4495f82f3808f2b25108c73ce03

commit fd54f3abb303a4495f82f3808f2b25108c73ce03
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Tue Aug 15 10:01:56 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Aug 15 17:20:32 2017 -0400

    Merge pull request #1906 from syncrou/skip_rbac_on_nil_or_null
    
    Skip calling Rbac on a null or nil target_class
    (cherry picked from commit fb1cba5c251a158fc1a4fc74c2fb3524ccf37570)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1481851

 .../ops_controller/settings/automate_schedules.rb      | 11 ++++++-----
 .../ops_controller/settings/automate_schedules_spec.rb | 18 ++++++++++++++++++
 2 files changed, 24 insertions(+), 5 deletions(-)

Comment 3 Tasos Papaioannou 2017-08-25 14:56:47 UTC
Verified on 5.8.2.0.

Comment 5 errata-xmlrpc 2017-10-24 00:39:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005


Note You need to log in before you can comment on or make changes to this bug.